#include <bits/stdc++.h>

using namespace std;

int main()
{
    cin.tie(0);
    ios::sync_with_stdio(false);
    int n,m;
    cin>>n>>m;
    multiset<int> dg[n];
    multiset<int> gg[n];
    int dg1,gg1;
    cin>>dg1>>gg1;
    dg[0].insert(dg1);
    gg[0].insert(gg1);
    for (int i=1; i<n; ++i){
        int x,y;
        cin>>x>>y;
        dg[i]=dg[i-1];
        dg[i].insert(x);
        gg[i]=gg[i-1];
        gg[i].insert(y);
    }
    for (int i=0; i<m; ++i){
        int l,r,x;
        cin>>l>>r>>x;
        int h1=distance(dg[r-1].begin(), dg[r-1].upper_bound(x));
        int h2=distance(gg[r-1].begin(), gg[r-1].lower_bound(x));
        int h=h1-h2;
        int j=0;
        if (l>1){
            int j1=distance(dg[l-2].begin(), dg[l-2].upper_bound(x));
            int j2=distance(gg[l-2].begin(), gg[l-2].lower_bound(x));
            j=j1-j2;
        }

        cout<<h-j<<endl;
    }
    return 0;
}